Bug 53320 - gmc fails to load, reports shared libs error
Summary: gmc fails to load, reports shared libs error
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gmc   
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-06 15:47 UTC by Steve Onotsky
Modified: 2013-04-02 04:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-06 15:52:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Onotsky 2001-09-06 15:47:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; 0.7) Gecko/20010316

Description of problem:
gmc refuses to start after upgrading to XFree86.org's 4.1.0 binaries, error
message is:  gmc: error while loading shared libraries: gmc: undefined
symbol: unix_io_manager


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. load RHL on IBM ThinkPad iSeries 1300
2. update XF86 with binary tarballs frpm ftp.xf86.org
3. reboot
4. run startx
5. run gmc from xterm or "Run..." box


	

Actual Results:  - no icons on desktop
- right-click has no effect
- running gmc as a command gives error "gmc: error while loading shared
libraries: gmc: undefined symbol: unix_io_manager"

Expected Results:  gmc should have loaded and given me my icons/desktop
functionality

Additional info:

Comment 1 Havoc Pennington 2002-03-04 21:26:36 UTC
gmc definitely loaded in 7.1 and 7.2 final, right?

Anyhow we would generally not guarantee that tarballs from xf86.org are 
binary compatible with our packages.


Note You need to log in before you can comment on or make changes to this bug.